Getting : error code EINTEGRITY while running any command on NPM

Hi Team,

I have installed Node JS 8.9.4. With that NPM 5.6.0 has also installed in my machine.
I am trying to install another package Yomen using command: npm install -g yo

On doing that i am getting this error->
6552 verbose argv “C:\Program Files\nodejs\node.exe” “C:\Program Files\nodejs\node_modules\npm\bin\npm-cli.js” “–without-ssl” “–insecure” “install” “-g” “yo”
6553 verbose node v8.9.4
6554 verbose npm v5.6.0
6555 error code EINTEGRITY
6556 error sha1-r2rId6Jcx/dOBYiUdThY39sk/bY= integrity checksum failed when using sha1: wanted sha1-r2rId6Jcx/dOBYiUdThY39sk/bY= but got sha1-rYlrxOC0/YGn+R9+JErWxdXL3p0=. (1595 bytes)

I tried below steps but still i am not able to rectify this issue ::
Ran --> npm cache verify and then ran command to install Yomen -> error
Ran --> npm cache clean --force and then ran command to install Yomen -> error
Ran --> npm --without-ssl --insecure install -g yo -> Same error
After setting username and password for proxy and https-proxy and then too tried -> same error

FYI, I am behind in corporate network.

Complete log:
6547 silly pacote data for sha1-p9BVi9icQveV3UIyj3QIMcpTvCU= not present. Using manifest.
6548 silly pacote data for sha512-shAmDyaQC4H92APFoIaVDHCx5bStIocgvbwQyxPRrbUY20V1EYTbSDchWbuwlMG3V17cprZhA6+78JfB+3DTPw== not present. Using manifest.
6549 verbose stack Error: sha1-r2rId6Jcx/dOBYiUdThY39sk/bY= integrity checksum failed when using sha1: wanted sha1-r2rId6Jcx/dOBYiUdThY39sk/bY= but got sha1-rYlrxOC0/YGn+R9+JErWxdXL3p0=. (1595 bytes)
6549 verbose stack at Transform.on (C:\Program Files\nodejs\node_modules\npm\node_modules\ssri\index.js:275:19)
6549 verbose stack at emitNone (events.js:111:20)
6549 verbose stack at Transform.emit (events.js:208:7)
6549 verbose stack at endReadableNT (_stream_readable.js:1055:12)
6549 verbose stack at _combinedTickCallback (internal/process/next_tick.js:138:11)
6549 verbose stack at process._tickCallback (internal/process/next_tick.js:180:9)
6550 verbose cwd C:\Users\USERID
6551 verbose Windows_NT 10.0.15063
6552 verbose argv “C:\Program Files\nodejs\node.exe” “C:\Program Files\nodejs\node_modules\npm\bin\npm-cli.js” “–without-ssl” “–insecure” “install” “-g” “yo”
6553 verbose node v8.9.4
6554 verbose npm v5.6.0
6555 error code EINTEGRITY
6556 error sha1-r2rId6Jcx/dOBYiUdThY39sk/bY= integrity checksum failed when using sha1: wanted sha1-r2rId6Jcx/dOBYiUdThY39sk/bY= but got sha1-rYlrxOC0/YGn+R9+JErWxdXL3p0=. (1595 bytes)
6557 verbose exit [ 1, true ]

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.